using CompanyCoreLib;
using System;
using System.Collections.Generic;
using System.Linq; 

// создаём экземпляр класса аналитики
var analytics = new Analytics();

// подгатавливаем массив тестовых данных
var srcDates = new List<DateTime>()
{
    new DateTime(2020,11,01,0,0,0),
    new DateTime(2032,05,03,0,0,0),
    new DateTime(2023,12,10,0,0,0),
    new DateTime(2023,11,11,0,0,0),
    new DateTime(2023,11,09,0,0,0),
};

// выполняем метод и получаем результат
var outDates = analytics.PopularMonths(srcDates);
var sortedDates = srcDates.OrderByDescending(date => date).ToList();

// выводим результат в консоль
foreach (var date in sortedDates)
{
    Console.WriteLine(date.ToString());
}